## org.apache.cassandra.db
Interface IMutation

All Known Implementing Classes:
  CounterMutation, RowMutation

    public interface IMutation

Method Summary
`void` `addAll(IMutation m)`
`void` `apply()`
`java.util.Collection<java.lang.Integer>` `getColumnFamilyIds()`
`java.lang.String` `getTable()`
`java.nio.ByteBuffer` `key()`
`java.lang.String` `toString(boolean shallow)`

Method Detail

### getTable

    java.lang.String getTable()

### getColumnFamilyIds

    java.util.Collection<java.lang.Integer> getColumnFamilyIds()

### key

    java.nio.ByteBuffer key()

### apply

    void apply()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    java.lang.String toString(boolean shallow)

### addAll

    void addAll(IMutation m)

Copyright © 2013 The Apache Software Foundation